#!/bin/sh
#
# K2HR3 Utilities - Command Line Interface
#
# Copyright 2021 Yahoo Japan Corporation.
#
# K2HR3 is K2hdkc based Resource and Roles and policy Rules, gathers
# common management information for the cloud.
# K2HR3 can dynamically manage information as "who", "what", "operate".
# These are stored as roles, resources, policies in K2hdkc, and the
# client system can dynamically read and modify these information.
#
# For the full copyright and license information, please view
# the license file that was distributed with this source code.
#
# AUTHOR:   Takeshi Nakatani
# CREATE:   Mon Feb 15 2021
# REVISION:
#

#---------------------------------------------------------------------
# Environments and Variables
#---------------------------------------------------------------------
# [OUTPUT]
#	K2HR3CLI_HAS_CURL		: found curl program
#

#---------------------------------------------------------------------
# Main
#---------------------------------------------------------------------
#
# Check curl
#
if ! command -v curl >/dev/null 2>&1; then
	# shellcheck disable=SC2034
	K2HR3CLI_HAS_CURL=0
else
	# shellcheck disable=SC2034
	K2HR3CLI_HAS_CURL=1
fi

#
# Local variables:
# tab-width: 4
# c-basic-offset: 4
# End:
# vim600: noexpandtab sw=4 ts=4 fdm=marker
# vim<600: noexpandtab sw=4 ts=4
#
